# class Sass::Generators::ScaffoldBase

### Public Instance Methods

copy_stylesheet() click to toggle source

    # File lib/rails/generators/sass_scaffold.rb, line 7
    def copy_stylesheet
      dir = ::Rails::Generators::ScaffoldGenerator.source_root
      file = File.join(dir, "scaffold.css")
      converted_contents = ::Sass::CSS.new(File.read(file)).render(syntax)
      create_file "app/assets/stylesheets/scaffolds.#{syntax}", converted_contents
    end